Fedora 16 : proftpd-1.3.4-1.fc16 (2011-15765)

High Nessus Plugin ID 56896


The remote Fedora host is missing a security update.


This update, to the current upstream stable release, includes a pair of security fixes :

- Enable OpenSSL countermeasure against SSLv3/TLSv1 BEAST attacks (upstream bug 3704); to disable this countermeasure, which may cause interoperability issues with some clients, use the NoEmptyFragments TLSOption

- Response pool use-after-free memory corruption error (upstream bug 3711, #752812, ZDI-CAN-1420, CVE-2011-4130), in which a remote attacker could provide a specially crafted request (resulting in a need for the server to handle an exceptional condition), leading to memory corruption and potentially arbitrary code execution, with the privileges of the user running the proftpd server

Note that Tenable Network Security has extracted the preceding description block directly from the Fedora security advisory. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.


Update the affected proftpd package.

See Also



Plugin Details

Severity: High

ID: 56896

File Name: fedora_2011-15765.nasl

Version: $Revision: 1.8 $

Type: local

Agent: unix

Published: 2011/11/22

Modified: 2015/10/20

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 9

Vector: CVSS2#AV:N/AC:L/Au:S/C:C/I:C/A:C

Vulnerability Information

CPE: p-cpe:/a:fedoraproject:fedora:proftpd, cpe:/o:fedoraproject:fedora:16

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list

Patch Publication Date: 2011/11/11

Reference Information

CVE: CVE-2011-4130

FEDORA: 2011-15765